OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinL
BinMDF

# BinMDF_DataMapIteratorOfStringIdMap Class Reference

`#include <BinMDF_DataMapIteratorOfStringIdMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinMDF_DataMapIteratorOfStringIdMap ()
Standard_EXPORT | BinMDF_DataMapIteratorOfStringIdMap (const BinMDF_StringIdMap &aMap)
Standard_EXPORT void | Initialize (const BinMDF_StringIdMap &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT BinMDF_DataMapIteratorOfStringIdMap::BinMDF_DataMapIteratorOfStringIdMap | ( |  | ) |

Standard_EXPORT BinMDF_DataMapIteratorOfStringIdMap::BinMDF_DataMapIteratorOfStringIdMap | ( | const BinMDF_StringIdMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void BinMDF_DataMapIteratorOfStringIdMap::Initialize | ( | const BinMDF_StringIdMap & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& BinMDF_DataMapIteratorOfStringIdMap::Key | ( |  | ) | const

void BinMDF_DataMapIteratorOfStringIdMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinMDF_DataMapIteratorOfStringIdMap::operator new | ( | size_t | size | ) | `[inline]`

void* BinMDF_DataMapIteratorOfStringIdMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& BinMDF_DataMapIteratorOfStringIdMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- BinMDF_DataMapIteratorOfStringIdMap.hxx